#include <avr/io.h>
#include <util/delay.h>
#include "adc.h"
#include "motor.h"

// Nastavenie pinov
#define nastav_poten 0
#define snim_poten 1
#define motor_pin1 PB4
#define motor_pin2 PB5

int main(void) {

// Inicializcia ADC
adc_init();

// Nastavenie pinov motora ako vstup
DDRB |= (1 << motor_pin1) | (1 << motor_pin2);

    while (1) {
        // elan poloha z nastavovacieho potenciometra
        uint16_t pozicia_nastav = adc_read(nastav_poten);
        // Aktulna poloha z potenciometra pre sptn vzbu
        uint16_t pozicia_snim = adc_read(snim_poten);

        // Rozdiel medzi elanou a aktulnou polohou
        int rozdiel_pozicie = pozicia_snim-pozicia_nastav;

        // Ak je rozdiel velk, otcaj motorom
        if (rozdiel_pozicie > 10) {
            smer_otacania(1); // Otcaj v jednom smere
        } else if (rozdiel_pozicie < -10) {
            smer_otacania(-1); // Otcaj v opacnom smere
        } else {
            smer_otacania(0); // Zastav motor
        }

        // Krtka pauza pre stabilitu
        _delay_ms(100);
	
    }
}
